# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXSetComponentAttribute

Function

Adds or removes a named attribute from a component of a Field.

Syntax
`
#include <dx/dx.h>
`

Field DXSetComponentAttribute(Field f, char *name, char *attribute, Object value)

Functional Details

Adds an attribute/value pair to the component if the component `name` exists in the Field `f`, and `value` is not `NULL`. `attribute` specifies the name of the associated attribute and `value` represents its value. If `attribute` specifies an attribute that the component already has, then its value is replaced by `value`.

If `value` is `NULL`, then the attribute referred to by `attribute` is removed from the component if it exists.

Return Value

Returns `f` on success; returns `NULL` and does not set an error code if the component specified by `name` does not exist; returns `NULL` and sets an error code if `f` is not a Field.

See Also

`DXGetComponentAttribute, DXSetAttribute, DXDeleteAttribute, DXSetFloatAttribute, DXSetIntegerAttribute, DXSetStringAttribute`

12.1 , "Field Class".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]